GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_service_account_jwt_access_credentials Struct Reference

`#include <credentials.h>`

## Data Fields
grpc_credentials | base
gpr_mu | cache_mu
struct {
grpc_credentials_md_store * jwt_md
char * service_url
gpr_timespec jwt_expiration
} | cached
grpc_auth_json_key | key
gpr_timespec | jwt_lifetime

## Field Documentation

grpc_credentials grpc_service_account_jwt_access_credentials::base

gpr_mu grpc_service_account_jwt_access_credentials::cache_mu

struct { ... } grpc_service_account_jwt_access_credentials::cached

gpr_timespec grpc_service_account_jwt_access_credentials::jwt_expiration

gpr_timespec grpc_service_account_jwt_access_credentials::jwt_lifetime

grpc_credentials_md_store* grpc_service_account_jwt_access_credentials::jwt_md

grpc_auth_json_key grpc_service_account_jwt_access_credentials::key

char* grpc_service_account_jwt_access_credentials::service_url

The documentation for this struct was generated from the following file:

- src/core/security/credentials.h